Type TEXTURE
	Global TextureList:TList=Null
	Field tex:ITexture=Null
	
	Method New()
		If Not TextureList Then TextureList=New TList
		TextureList.AddLast(Self)
	EndMethod
	
	Method Destroy()
		TextureList.Remove(Self)
		_g_ib3d_engine.driver.removeTexture(tex)
		tex=Null
	EndMethod		
	
	Method Free()
		Destroy()
	EndMethod
EndType

' TODO: NOTE param not supported
Function ib3d_LoadTexture:TEXTURE(file:String)
	If Not _g_ib3d_engine Then RuntimeError "iB3D engine has not been initialized"
	Return _g_ib3d_engine.LoadTexture(file)
EndFunction

Function ib3d_FreeTexture(texture:TEXTURE)
	If Not _g_ib3d_engine Then RuntimeError "iB3D engine has not been initialized"
	If Not texture Then Throw "Texture does not exist" 
	texture.Destroy()	
EndFunction

Rem
CreateTexture	
LoadTexture - driver.addTexture(), ISceneNode.setMaterialType()
flags (optional) - texture flag:
1: Color
2: Alpha
4: Masked
8: Mipmapped
16: Clamp U
32: Clamp V
64: Spherical reflection map

LoadAnimTexture - load the texture and manually mark it as animated.  then need to calculate and pull out if used.	
FreeTexture - IVideoDriver.removeTexture()	
TextureBlend	
TextureCoords	
ScaleTexture	
PositionTexture	
RotateTexture	
TextureWidth - ITexture.getSize()
TextureHeight - ITexture.getSize()
TextureBuffer - ITexture.lock()	
ClearTextureFilters	
TextureFilter - IVideoDriver.setTextureCreationFlag()
EndRem
