Public

Extern

	Function IrrCore_Vector3di_new:Int(x:Int=0.0,y:Int=0.0,z:Int=0.0)
	Function IrrCore_Vector3di_newFromVect:Int(pOther:Int)
	Function IrrCore_Vector3di_newFromVal:Int(n:Int)
	Function IrrCore_Vector3di_del(pDelVect:Int)
	Function IrrCore_Vector3di_set:Int(pVect:Int,x:Int,y:Int,z:Int)
	Function IrrCore_Vector3di_setFromVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_getX:Int(pVect:Int)
	Function IrrCore_Vector3di_getY:Int(pVect:Int)
	Function IrrCore_Vector3di_getZ:Int(pVect:Int)
	Function IrrCore_Vector3di_setX(pVect:Int,x:Int)
	Function IrrCore_Vector3di_setY(pVect:Int,y:Int)
	Function IrrCore_Vector3di_setZ(pVect:Int,z:Int)
	
	Function IrrCore_Vector3di_getLength:Double(pVect:Int)
	Function IrrCore_Vector3di_getLengthSQ:Int(pVect:Int)
	Function IrrCore_Vector3di_dotProduct:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_getDistanceFrom:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_getDistanceFromSQ:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_normalize:Int(pVect:Int)
	Function IrrCore_Vector3di_rotateXZBy(pVect:Int,degrees:Double,pCenter:Int = 0)
	Function IrrCore_Vector3di_rotateXYBy(pVect:Int,degrees:Double,pCenter:Int = 0)
	Function IrrCore_Vector3di_rotateYZBy(pVect:Int,degrees:Double,pCenter:Int = 0)
	Function IrrCore_Vector3di_crossProduct:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_isBetweenPoints:Int(pVect:Int,pBegin:Int,pEnd:Int) 
	Function IrrCore_Vector3di_setLength:Int(pVect:Int,newlength:Int)
	Function IrrCore_Vector3di_invert:Int(pVect:Int)
	Function IrrCore_Vector3di_getInterpolated:Int(pVect:Int,pOther:Int,d:Double)
	
	Function IrrCore_Vector3di_setEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_EqEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_NotEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_GreatEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_LessEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_Plus:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_PlusEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_PlusVal:Int(pVect:Int,val:Int)
	Function IrrCore_Vector3di_PlusEqVal:Int(pVect:Int,val:Int)
	Function IrrCore_Vector3di_Minus:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_MinusEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_MinusVal:Int(pVect:Int,val:Int)
	Function IrrCore_Vector3di_MinusEqVal:Int(pVect:Int,val:Int)
	Function IrrCore_Vector3di_MultVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_Mult:Int(pVect:Int,v:Int)
	Function IrrCore_Vector3di_MultEqVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_MultEq:Int(pVect:Int,v:Int)
	Function IrrCore_Vector3di_DivVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_Div:Int(pVect:Int,v:Int)
	Function IrrCore_Vector3di_DivEqVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3di_DivEq:Int(pVect:Int,v:Int)
	Function IrrCore_Vector3di_getAs4Values(pVect:Int,vals:Int Ptr)
	Function IrrCore_Vector3di_getHorizontalAngle:Int(pVect:Int) ' returns vector3di* 
	
	Function IrrCore_Vector3di_Less:Int(pVector3di:Int,pVector3di_other:Int)	
	Function IrrCore_Vector3di_Great:Int(pVector3di:Int,pVector3di_other:Int)
	Function IrrCore_Vector3di_equals:Int(pVector3di:Int,pVector3di_other:Int,tolerance:Int = 0.000001)
	Function IrrCore_Vector3di_getInterpolated_quadratic:Int(pVector3di:Int,pVector3di_v2:Int,pVector3di_v3:Int,d:Double) ' returns vector3di*
	
	' do not delete
	Function IrrCore_Vector3di_interpolate:Int(pVector3di:Int, pVector3di_a:Int, pVector3di_b:Int, d:Double) ' returns vector3di*
	
	' must delete
	Function IrrCore_Vector3di_rotationToDirection:Int(pVector3di:Int, pVector3di_forwards:Int = 0) ' returns vector3di*

	' must delete
	Function IrrCore_Vector3di_getSphericalCoordinateAngles:Int(pVector3di:Int) ' returns vector3di*

EndExtern

