Public

' ------------------------------------------------------------------------------------
'  irr::gui::IGUISpinBox wrappers
'  do Not Delete a pointer To this
' ------------------------------------------------------------------------------------
Type IGUISpinBox Extends IGUIElement Final

	Function createFromHandle:IGUISpinBox(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IGUISpinBox=New IGUISpinBox
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction	

	Method getEditBox:IGUIElement()
		Return IGUIElement.createFromHandle(IrrGUI_IGUISpinBox_getEditBox(handle), False)
	EndMethod
	
	Method setValue(val:Float)
		IrrGUI_IGUISpinBox_setValue(handle, val)
	EndMethod
	
	Method getValue:Float()
		Return IrrGUI_IGUISpinBox_getValue(handle)
	EndMethod
	
	Method setRange(min_val:Float, max_val:Float)
		IrrGUI_IGUISpinBox_setRange(handle, min_val, max_val)
	EndMethod
	
	Method getMin:Float()
		Return IrrGUI_IGUISpinBox_getMin(handle)
	EndMethod
	
	Method getMax:Float()
		Return IrrGUI_IGUISpinBox_getMax(handle)
	EndMethod
	
	Method setStepSize(val_step:Float = 1.0)
		IrrGUI_IGUISpinBox_setStepSize(handle, val_step)
	EndMethod
	
	Method getStepSize:Float()
		Return IrrGUI_IGUISpinBox_getStepSize(handle)
	EndMethod

	Method setDecimalPlaces(places:Int)
		IrrGUI_IGUISpinBox_setDecimalPlaces(handle, places)
	EndMethod
	
EndType


