' ------------------------------------------------------------------------------------
' irr::scene::IParticleBoxEmitter wrapper
' ------------------------------------------------------------------------------------
Public

Type IParticleBoxEmitter Extends IParticleEmitter

	Function createFromHandle:IParticleBoxEmitter(pHandle:Int,bMustDel:Int=True,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IParticleBoxEmitter=New IParticleBoxEmitter
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setBox(box:AABbox3df)
		IrrScene_IParticleBoxEmitter_setBox( handle, box.handle)
	EndMethod
	
	Method getBox:AABbox3df()
		Return AABbox3df.createFromHandle(IrrScene_IParticleBoxEmitter_getBox(handle), True)
	EndMethod

EndType
