' ------------------------------------------------------------------------------------
' irr::scene::IParticleCylinderEmitter wrapper
' ------------------------------------------------------------------------------------
Public

Type IParticleCylinderEmitter Extends IParticleEmitter

	Function createFromHandle:IParticleCylinderEmitter(pHandle:Int,bMustDel:Int=True,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IParticleCylinderEmitter=New IParticleCylinderEmitter
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setCenter(center:Vector3df)
		IrrScene_IParticleCylinderEmitter_setCenter( handle, center.handle )
	EndMethod
	
	Method setNormal(normal:Vector3df)
		IrrScene_IParticleCylinderEmitter_setNormal( handle, normal.handle)
	EndMethod
	
	Method setRadius(radius:Float)
		IrrScene_IParticleCylinderEmitter_setRadius( handle, radius )
	EndMethod
	
	Method setLength(length:Float)
		IrrScene_IParticleCylinderEmitter_setLength( handle, length )
	EndMethod
	
	Method setOutlineOnly(bOutlineOnly:Int = True)
		IrrScene_IParticleCylinderEmitter_setOutlineOnly( handle, bOutlineOnly )
	EndMethod
	
	Method getCenter:Vector3df()
		Return Vector3df.createFromHandle(IrrScene_IParticleCylinderEmitter_getCenter(handle), True)
	EndMethod
	
	Method getNormal:Vector3df()
		Return Vector3df.createFromHandle(IrrScene_IParticleCylinderEmitter_getNormal(handle), True)
	EndMethod
	
	Method getRadius:Float()
		Return IrrScene_IParticleCylinderEmitter_getRadius(handle)
	EndMethod
	
	Method getLength:Float()
		Return IrrScene_IParticleCylinderEmitter_getLength(handle)
	EndMethod
	
	Method getOutlineOnly:Int()
		Return IrrScene_IParticleCylinderEmitter_getOutlineOnly(handle)
	EndMethod

EndType
