
Public

Extern
	' ------------------------------------------------------------------------------------
	'  irr::scene::IParticleSystemSceneNode wrappers (parent is ISceneNode)
	' ------------------------------------------------------------------------------------
	
	Function IrrScene_IParticleSystemSceneNode_addAffector(pIParticleSystemSceneNode_node:Int,pIParticleAffector_affector:Int)
		
	'  you must call drop For this when done.
	Function IrrScene_IParticleSystemSceneNode_createFadeOutParticleAffector(pIParticleSystemSceneNode_node:Int,pSColor_targetColor:Int=0,timeNeededToFadeOut:Int=1000) ' returns IParticleFadeOutAffector* 
	'   you must call drop For this when done.
	Function IrrScene_IParticleSystemSceneNode_createGravityAffector(pIParticleSystemSceneNode_node:Int,pvector3df_gravity:Int=0,timeForceLost:Int=1000) ' returns IParticleGravityAffector* 
		
	Function IrrScene_IParticleSystemSceneNode_removeAllAffectors(pIParticleSystemSceneNode_node:Int)
	Function IrrScene_IParticleSystemSceneNode_setEmitter(pIParticleSystemSceneNode_node:Int,pIParticleEmitter_emitter:Int=0)
	Function IrrScene_IParticleSystemSceneNode_getEmitter:Int(pIParticleSystemSceneNode:Int) ' returns IParticleEmitter*
	Function IrrScene_IParticleSystemSceneNode_setParticlesAreGlobal(pIParticleSystemSceneNode_node:Int,bGlobal:Int = True)
	Function IrrScene_IParticleSystemSceneNode_setParticleSize(pIParticleSystemSceneNode_node:Int,pDimension2df_size:Int=0)

	Function IrrScene_IParticleSystemSceneNode_createAttractionAffector:Int(pIParticleSystemSceneNode:Int, pVector3df_point:Int, speed:Float = 1.0, bAttract:Int = True, bAffectX:Int = True, bAffectY:Int = True, bAffectZ:Int = True) ' returns IParticleAttractionAffector*	
	Function IrrScene_IParticleSystemSceneNode_createRotationAffector:Int(pIParticleSystemSceneNode:Int, pVector3df_speed:Int = 0, pVector3df_pivotPoint:Int = 0 )  ' returns IParticleRotationAffector*

	'  you must call drop For this when done.
	Function IrrScene_IParticleSystemSceneNode_createBoxEmitter(pIParticleSystemSceneNode_node:Int, ..
		paabbox3d_f32_box:Int=0,pvector3df_direction:Int=0, ..
		minParticlesPerSecond:Int=5,maxParticlePerSecond:Int=10, ..
		pSColor_minStartColor:Int=0,pSColor_maxStartColor:Int=0, ..
		lifeTimeMin:Int=2000,lifeTimeMax:Int=4000,maxAngleDegrees:Int=0, ..
		pDimension2df_minStartSize:Int = 0, pDimension2df_maxStartSize:Int = 0 ) ' returns IParticleEmitter*

	'  you must call drop For this when done.
	Function IrrScene_IParticleSystemSceneNode_createPointEmitter(pIParticleSystemSceneNode_node:Int, ..
		pvector3df_direction:Int=0,minParticlesPerSecond:Int=5,maxParticlePerSecond:Int=10, ..
		pSColor_minStartColor:Int=0,pSColor_maxStartColor:Int=0, ..
		lifeTimeMin:Int=2000,lifeTimeMax:Int=4000,maxAngleDegrees:Int=0, ..
		pDimension2df_minStartSize:Int = 0, pDimension2df_maxStartSize:Int = 0) ' returns IParticleEmitter* 

	Function IrrScene_IParticleSystemSceneNode_createAnimatedMeshSceneNodeEmitter:Int(pIParticleSystemSceneNode:Int, ..
		pIAnimatedMeshSceneNode:Int, bUseNormalDirection:Int = True, ..
		pVector3df_direction:Int = 0, normalDirectionModifier:Float = 100.0, mbNumber:Int = -1, ..
		bEveryMeshVertex:Int = False, minParticlesPerSecond:Int = 5, maxParticlesPerSecond:Int = 10, ..
		pSColor_minStartColor:Int = 0, pSColor_maxStartColor:Int = 0, ..
		lifeTimeMin:Int = 2000, lifeTimeMax:Int = 4000, maxAngleDegrees:Int = 0, ..
		pDimension2df_minStartSize:Int = 0, pDimension2df_maxStartSize:Int = 0 ) ' returns IParticleAnimatedMeshSceneNodeEmitter*
		
	Function IrrScene_IParticleSystemSceneNode_createCylinderEmitter:Int(pIParticleSystemSceneNode:Int, ..
		pVector3df_center:Int, radius:Float, pVector3df_normal:Int, length:Float, bOutlineOnly:Int = False, ..
		pVector3df_direction:Int = 0, minParticlesPerSecond:Int = 5, maxParticlesPerSecond:Int = 10, ..
		pSColor_minStartColor:Int = 0, pSColor_maxStartColor:Int = 0, ..
		lifeTimeMin:Int = 2000, lifeTimeMax:Int = 4000, maxAngleDegrees:Int = 0, ..
		pDimension2df_minStartSize:Int = 0, pDimension2df_maxStartSize:Int = 0  ) ' returns IParticleCylinderEmitter*
		
	Function IrrScene_IParticleSystemSceneNode_createMeshEmitter:Int(pIParticleSystemSceneNode:Int, ..
		pIMesh:Int, bUseNormalDirection:Int = True, ..
		pVector3df_direction:Int = 0, normalDirectionModifier:Float = 100.0, mbNumber:Int = -1, ..
		bEveryMeshVertex:Int = false, minParticlesPerSecond:Int = 5, maxParticlesPerSecond:Int = 10, ..
		pSColor_minStartColor:Int = 0, pSColor_maxStartColor:Int = 0, ..
		lifeTimeMin:Int = 2000, lifeTimeMax:Int = 4000, maxAngleDegrees:Int = 0, ..
		pDimension2df_minStartSize:Int = 0, pDimension2df_maxStartSize:Int = 0  ) ' returns IParticleMeshEmitter*
		
	Function IrrScene_IParticleSystemSceneNode_createRingEmitter:Int(pIParticleSystemSceneNode:Int, ..
		pVector3df_center:Int, radius:Float, ringThickness:Float, ..
		pVector3df_direction:Int = 0, minParticlesPerSecond:Int = 5, maxParticlesPerSecond:Int = 10, ..
		pSColor_minStartColor:Int = 0, pSColor_maxStartColor:Int = 0, ..
		lifeTimeMin:Int=2000, lifeTimeMax:Int=4000, maxAngleDegrees:Int=0, ..
		pDimension2df_minStartSize:Int = 0, pDimension2df_maxStartSize:Int = 0 ) ' returns IParticleRingEmitter*
		
	Function IrrScene_IParticleSystemSceneNode_createSphereEmitter:Int(pIParticleSystemSceneNode:Int, ..
		pVector3df_center:Int, radius:Float, ..
		pVector3df_direction:Int = 0, minParticlesPerSecond:Int = 5, maxParticlesPerSecond:Int = 10, ..
		pSColor_minStartColor:Int = 0, pSColor_maxStartColor:Int = 0, ..
		lifeTimeMin:Int=2000, lifeTimeMax:Int=4000, maxAngleDegrees:Int=0, ..
		pDimension2df_minStartSize:Int = 0, pDimension2df_maxStartSize:Int = 0 ) ' returns IParticleSphereEmitter*

EndExtern