' ------------------------------------------------------------------------------------
'  irr::scene::IQ3Shader wrappers
' ------------------------------------------------------------------------------------

Extern

	Function IrrScene_Quake3_getAsFloat:Float( str$z, pos:Int Ptr )
	' must delete
	Function IrrScene_Quake3_getAsVector3df:Int( str$z, pos:Int Ptr ) ' returns vector3df* 
	
	'  -------------------------------------------------------------
	'  SVariable
	'  -------------------------------------------------------------
	
	Function IrrScene_SVariable_getName$z(pSVariable:Int)
	Function IrrScene_SVariable_setName(pSVariable:Int,name$z)
	Function IrrScene_SVariable_getContent$z(pSVariable:Int)
	Function IrrScene_SVariable_setContent(pSVariable:Int,content$z)
	Function IrrScene_SVariable_clear(pSVariable:Int)
	Function IrrScene_SVariable_isValid:Int(pSVariable:Int)
	Function IrrScene_SVariable_EqEq:Int(pSVariable:Int,pSVariable_other:Int)
		
	'  -------------------------------------------------------------
	'  SVarGroup
	'  -------------------------------------------------------------
	Function IrrScene_SVarGroup_set(pSVarGroup:Int, name$z, content$z = Null)
	Function IrrScene_SVarGroup_get$z(pSVarGroup:Int,name$z)
	Function IrrScene_SVarGroup_isDefined:Int(pSVarGroup:Int,name$z,content$z=Null)
	'  do not delete 
	Function IrrScene_SVarGroup_getVariables:Int(pSVarGroup:Int,variables:Int Ptr Ptr)

	'  -------------------------------------------------------------
	'  SVarGroupList extends IUnknown
	'  -------------------------------------------------------------

	Function IrrScene_SVarGroupList_drop:Int(pSVarGroupList:Int)	
	Function IrrScene_SVarGroupList_getDebugName$z(pSVarGroupList:Int)
	Function IrrScene_SVarGroupList_grab(pSVarGroupList:Int)
	'  do not delete 
	Function IrrScene_SVarGroupList_getVariables:Int(pSVarGroupList:Int,vargroups:Int Ptr Ptr)
	
	'  -------------------------------------------------------------
	'  IShader
	'  -------------------------------------------------------------

	Function IrrScene_IShader_EqEq:Int(pIShader:Int,pIShader_other:Int)
	Function IrrScene_IShader_Less:Int(pIShader:Int,pIShader_other:Int)
	Function IrrScene_IShader_getID:Int(pIShader:Int)
	Function IrrScene_IShader_getName$z(pIShader:Int)
	'  do not delete
	Function IrrScene_IShader_getVarGroup:Int(pIShader:Int) ' returns SVarGroupList*
	'  do not delete
	Function IrrScene_IShader_getGroup:Int(pIShader:Int,stage:Int) ' returns SVarGroup*

	Function IrrScene_IShader_setEq(pIShader:Int, pIShader_other:Int)
	Function IrrScene_IShader_getGroupSize:Int(pIShader:Int)
EndExtern