Public

' ! Material flags
' enum E_MATERIAL_FLAG

'! Draw as wireframe or filled triangles? Default: false
Const EMF_WIREFRAME:Int = $1

'! Draw as point cloud or filled triangles? Default: false
Const EMF_POINTCLOUD:Int = $2

'! Flat or Gouraud shading? Default: true
Const EMF_GOURAUD_SHADING:Int = $4

'! Will this material be lighted? Default: true
Const EMF_LIGHTING:Int = $8

'! Is the ZBuffer enabled? Default: true
Const EMF_ZBUFFER:Int = $10

'! May be written to the zbuffer or is it readonly. Default: true
Const EMF_ZWRITE_ENABLE:Int = $20

'! Is backface culling enabled? Default: true
Const EMF_BACK_FACE_CULLING:Int = $40

'! Is frontface culling enabled? Default: false
Const EMF_FRONT_FACE_CULLING:Int = $80

'! Is bilinear filtering enabled? Default: true
Const EMF_BILINEAR_FILTER:Int = $100

'! Is trilinear filtering enabled? Default: false
Const EMF_TRILINEAR_FILTER:Int = $200

'! Is anisotropic filtering? Default: false
Const EMF_ANISOTROPIC_FILTER:Int = $400

'! Is fog enabled? Default: false
Const EMF_FOG_ENABLE:Int = $800

'! Normalizes normals. Default: false
Const EMF_NORMALIZE_NORMALS:Int = $1000

'! Access to all layers texture wrap settings. Overwrites separate layer settings.
Const EMF_TEXTURE_WRAP:Int = $2000

'! AntiAliasing mode
Const EMF_ANTI_ALIASING:Int = $4000

'! ColorMask bits for enabling the color planes
Const EMF_COLOR_MASK:Int = $8000

'! ColorMaterial enum for vertex color interpretation
Const EMF_COLOR_MATERIAL:Int = $10000

