Public

Type IrrBase

	Field handle:Int=0
	Field mustdelete:Int=0
	Field bIsBound:Int=False

	Method attach(pHandle:Int,bMustDel:Int=False)
		handle=pHandle
		mustdelete=bMustDel
		
		' if this is the original one, then bind
		If bMustDel And bIsBound
			Local tempptr:Int=HandleFromObject(Self)
			bind(tempptr)
		EndIf
	EndMethod

	Method Compare:Int(obj:Object)
		Return (handle=IrrBase(obj).handle)
	EndMethod

	Method isValid:Int()
		Return (handle>0)
	EndMethod
	
	Function StringToWChar:Byte Ptr(Text:String)
	?Win32
		Return Byte Ptr(Text.toWString())
	?Not Win32
		Local result:Int[text.length+1]
		Local wchar: Short Ptr = Text.toWString()	
		For Local i:Int=0 To result.length-1
			result[i]=wchar[i]
		Next
		Return Varptr(result[0])		
	?
	End Function
	Function WCharToString:String(WCharText:Byte Ptr)
	?Win32
		Return String.FromWString(Short Ptr(WCharText))
	?Not Win32
		Local intptr: Int Ptr = Int Ptr(WCharText)
		Local result:String
		Local length:Int=0;
		While intptr And (intptr[length]<>0)
			length:+1
		Wend		
		If length > 0 Then
			Local shorts:Short[length+1]
			For Local i:Int=0 To length
				shorts[i]= IntPtr[i]
			Next
			result=string.FromWString(shorts)
		End If
		Return result
	?
	End Function	

	Method Destroy()
		' only delete the binder if this is a bound object
		If bIsBound Then BMXBinder_del(getBinderHandle())
	EndMethod

	'---------------------------------------------------
	' binding methods/functions
	'---------------------------------------------------
	
	Method bind(binding:Int)
		If bIsBound Then 
			Local binderHandle:Int=getBinderHandle()
			setBinding(binding,binderHandle)
			BMXBinder_bindDeconstructor(binderHandle,Deconstructor_Binding)
		EndIf
	EndMethod

	Function Deconstructor_Binding(binding:Int)
		Local temp:IrrBase=translate(binding)
		Release binding
		temp.Deconstructor()
	EndFunction

	Function translate:IrrBase(binding:Int) Final
		Return IrrBase(HandleToObject(binding))
	EndFunction
	
	Method setBinding(bindptr:Int,binderhandle:Int) Final
		If binderhandle>0
			BMXBinder_setBinding(binderhandle,bindptr)
		Else
			Throw "Invalid BMXBinder handle"
		EndIf
	EndMethod

	Method getBinding:Int() Final
		Return BMXBinder_getBinding(getBinderHandle())
	EndMethod

	Method getBinderHandle:Int()
		Return 0
	EndMethod

	Method Deconstructor()
	EndMethod	
EndType


