' E_BONE_ANIMATION_MODE

' The bone is usually animated, unless it's parent is not animated
Const EBAM_AUTOMATIC:Int = 0

' The bone is animated by the skin, if it's parent is not animated
' then animation will resume from this bone onward
Const EBAM_ANIMATED:Int = 1

' The bone is not animated by the skin
Const EBAM_UNANIMATED:Int = 2

' Not an animation mode, just here to count the available modes
Const EBAM_COUNT:Int = 3


' Names for bone animation modes
Global BoneAnimationModeNames:String[] = ["automatic","animated","unanimated"]

