
Public

Type CIndexBuffer Extends IIndexBuffer Final

	Function createFromIndexType:CIndexBuffer(E_INDEX_TYPE:Int)
		Return createFromHandle(IrrScene_CIndexBuffer_newFromIndexType(E_INDEX_TYPE), True)
	EndFunction

	Function createFromOther:CIndexBuffer(other:IIndexBuffer)
		Return createFromHandle(IrrScene_CIndexBuffer_newFromOther(other.handle), True)
	EndFunction

	Function createFromHandle:CIndexBuffer(pHandle:Int,bMustDel:Int=False)
		If Not pHandle Then Return Null
		Local oRetVal:CIndexBuffer=New CIndexBuffer
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
	
	Method drop:Int()
		If mustdelete Then mustdelete=False		
		Return IrrScene_IIndexBuffer_drop(handle)
	EndMethod
	
	Method getDebugName:String()
		Return IrrScene_IIndexBuffer_getDebugName(handle)
	EndMethod
	
	Method grab()
		IrrScene_IIndexBuffer_grab(handle)
	EndMethod

	Method Delete()
		If (mustdelete) Then drop()
	EndMethod
	
EndType