
Public

Extern

	' ------------------------------------------------------------------------------------
	'  irr::scene::ICameraSceneNode wrappers (parent is ISceneNode)
	' ------------------------------------------------------------------------------------
	
	Function IrrScene_ICameraSceneNode_getAspectRatio:Float(pICameraSceneNode_cam:Int)
	Function IrrScene_ICameraSceneNode_getFarValue:Float(pICameraSceneNode_cam:Int)
	Function IrrScene_ICameraSceneNode_getFOV:Float(pICameraSceneNode_cam:Int)
	Function IrrScene_ICameraSceneNode_getNearValue:Float(pICameraSceneNode_cam:Int)
	Function IrrScene_ICameraSceneNode_getProjectionMatrix:Int(pICameraSceneNode_cam:Int) ' returns matrix4* 
	Function IrrScene_ICameraSceneNode_getTarget:Int(pICameraSceneNode_cam:Int) ' returns vector3df* 
	Function IrrScene_ICameraSceneNode_getUpVector:Int(pICameraSceneNode_cam:Int) ' returns vector3df* 
	Function IrrScene_ICameraSceneNode_getViewMatrix:Int(pICameraSceneNode_cam:Int) ' returns matrix4* 
	Function IrrScene_ICameraSceneNode_getViewFrustum:Int(pICameraSceneNode_cam:Int) ' returns Const SViewFrustum* 
	Function IrrScene_ICameraSceneNode_isInputReceiverEnabled:Int(pICameraSceneNode_cam:Int)
	Function IrrScene_ICameraSceneNode_setAspectRatio(pICameraSceneNode_cam:Int,aspect:Float)
	Function IrrScene_ICameraSceneNode_setFarValue(pICameraSceneNode_cam:Int,zf:Float)
	Function IrrScene_ICameraSceneNode_setFOV(pICameraSceneNode_cam:Int,fovy:Float)
	Function IrrScene_ICameraSceneNode_setNearValue(pICameraSceneNode_cam:Int,nv:Float)
	Function IrrScene_ICameraSceneNode_setInputReceiverEnabled(pICameraSceneNode_cam:Int,bEnabled:Int)
	Function IrrScene_ICameraSceneNode_setProjectionMatrix(pICameraSceneNode_cam:Int,pmatrix4_projection:Int,bIsOrthogonal:Int = False)
	Function IrrScene_ICameraSceneNode_setTarget(pICameraSceneNode_cam:Int,pvector3df_pos:Int)
	Function IrrScene_ICameraSceneNode_setUpVector(pICameraSceneNode_cam:Int,pvector3df_pos:Int)
	Function IrrScene_ICameraSceneNode_OnEvent:Int(pICameraSceneNode_cam:Int,pSEvent_event:Int)
	Function IrrScene_ICameraSceneNode_isOrthogonal:Int(pICameraSceneNode_cam:Int)
	Function IrrScene_ICameraSceneNode_setRotation(pICameraSceneNode:Int, pVector3df_rotation:Int) 
	Function IrrScene_ICameraSceneNode_bindTargetAndRotation(pICameraSceneNode:Int, bBound:Int)
	Function IrrScene_ICameraSceneNode_getTargetAndRotationBinding:Int(pICameraSceneNode:Int)
	Function IrrScene_ICameraSceneNode_setViewMatrixAffector(pICameraSceneNode:Int, pMatrix4_affector:Int)
	' must delete
	Function IrrScene_ICameraSceneNode_getViewMatrixAffector:Int(pICameraSceneNode:Int) ' returns matrix4*
	
EndExtern
