
Public


Extern
	' ------------------------------------------------------------------------------------
	'  irr::scene::IMeshBuffer wrappers
	' ------------------------------------------------------------------------------------
	
	Function IrrScene_IMeshBuffer_getBoundingBox:Int(pIMeshBuffer_mb:Int) ' returns aabbox3d<f32>*
	Function IrrScene_IMeshBuffer_getIndexCount:Int(pIMeshBuffer_mb:Int)
	Function IrrScene_IMeshBuffer_getIndices:Short Ptr(pIMeshBuffer_mb:Int)
	' do not delete
	Function IrrScene_IMeshBuffer_getMaterial:Int(pIMeshBuffer_mb:Int) ' returns SMaterial* 
	Function IrrScene_IMeshBuffer_getVertexCount:Int(pIMeshBuffer_mb:Int)
	Function IrrScene_IMeshBuffer_getVertexType:Int(pIMeshBuffer_mb:Int)
	'  do not delete these
	Function IrrScene_IMeshBuffer_getVertices:Int(pIMeshBuffer_mb:Int, outPtrs:Int Ptr Ptr) 
	' do not delete these
	Function IrrScene_IMeshBuffer_getVertex(pIMeshBuffer_mb:Int,idx:Int) ' returns S3DVertex*

	Function IrrScene_IMeshBuffer_setBoundingBox(pIMeshBuffer:Int,pAABbox3df:Int)

	Function IrrScene_IMeshBuffer_fillS3DVertexVerticesPtrs(pIMeshBuffer:Int,pos:Float Ptr,normals:Float Ptr,tcoords:Float Ptr,colors:Float Ptr,bSwap:Int)
	Function IrrScene_IMeshBuffer_fillS3DVertex2TCoordsVerticesPtrs(pIMeshBuffer:Int,pos:Float Ptr,normals:Float Ptr,tcoords:Float Ptr,colors:Float Ptr,tcoords2:Float Ptr,bSwap:Int)
	Function IrrScene_IMeshBuffer_fillS3DVertexTangentsVerticesPtrs(pIMeshBuffer:Int,pos:Float Ptr,normals:Float Ptr,tcoords:Float Ptr,colors:Float Ptr,tangents:Float Ptr,binormals:Float Ptr,bSwap:Int)	
	Function IrrScene_IMeshBuffer_fillIndicesPtr(pIMeshBuffer:Int,indicies:Short Ptr,bSwap:Int) 
	
	Function IrrScene_IMeshBuffer_drop:Int(pIUnknown:Int)
	Function IrrScene_IMeshBuffer_getDebugName$z(pIUnknown:Int)
	Function IrrScene_IMeshBuffer_grab(pIUnknown:Int)

	Function IrrScene_IMeshBuffer_appendFromOther(pIMeshBuffer:Int,pIMeshBuffer_other:Int) 
	Function IrrScene_IMeshBuffer_append(pIMeshBuffer:Int,vertices:Int Ptr, numVertices:Int, indices:Short Ptr, numIndices:Int)
	Function IrrScene_IMeshBuffer_recalculateBoundingBox(pIMeshBuffer:Int)
	Function IrrScene_IMeshBuffer_getIndexType:Int(pIMeshBuffer:Int) ' returns E_INDEX_TYPE
	Function IrrScene_IMeshBuffer_getPosition:Int(pIMeshBuffer:Int, i:Int) ' returns vector3df*
	Function IrrScene_IMeshBuffer_getNormal:Int(pIMeshBuffer:Int, i:Int) ' returns vector3df*
	Function IrrScene_IMeshBuffer_getTCoords:Int(pIMeshBuffer:Int, i:Int) ' returns vector2df*
	Function IrrScene_IMeshBuffer_getHardwareMappingHint_Vertex:Int(pIMeshBuffer:Int) ' return E_HARDWARE_MAPPING
	Function IrrScene_IMeshBuffer_getHardwareMappingHint_Index:Int(pIMeshBuffer:Int) ' returns E_HARDWARE_MAPPING
	Function IrrScene_IMeshBuffer_setHardwareMappingHint(pIMeshBuffer:Int, E_HARDWARE_MAPPING:Int, E_BUFFER_TYPE:Int = EBT_VERTEX_AND_INDEX)
	Function IrrScene_IMeshBuffer_setDirty(pIMeshBuffer:Int, E_BUFFER_TYPE:Int = EBT_VERTEX_AND_INDEX) 
	Function IrrScene_IMeshBuffer_getChangedID_Vertex:Int(pIMeshBuffer:Int)
	Function IrrScene_IMeshBuffer_getChangedID_Index:Int(pIMeshBuffer:Int)

EndExtern

