
Public


Extern
	' ------------------------------------------------------------------------------------
	'  irr::scene::IMeshManipulator wrappers
	' ------------------------------------------------------------------------------------
	
	'  note: you will need To drop the New mesh pointer
	Function IrrScene_IMeshManipulator_createMeshCopy:Int(pIMeshManipulator_mm:Int,pIMesh_mesh:Int) ' returns SMesh*
	'  note: you will need To drop the New mesh pointer
	Function IrrScene_IMeshManipulator_createMeshWithTangents:Int(pIMeshManipulator_mm:Int,pIMesh_mesh:Int, bRecalculateNormals:Int = False, bSmooth:Int = False, bAngleWeighted:Int = False) ' returns IMesh*
	Function IrrScene_IMeshManipulator_createMeshUniquePrimitives:Int(pIMeshManipulator_mm:Int,pIMesh_mesh:Int) ' returns IMesh*
	Function IrrScene_IMeshManipulator_flipSurfaces(pIMeshManipulator_mm:Int,pMesh_mesh:Int)
	Function IrrScene_IMeshManipulator_getPolyCountFromAnimated:Int(pIMeshManipulator_mm:Int,pIAnimatedMesh_mesh:Int)
	Function IrrScene_IMeshManipulator_getPolyCount:Int(pIMeshManipulator_mm:Int,pIMesh_mesh:Int)
	Function IrrScene_IMeshManipulator_makePlanarTextureMapping(pIMeshManipulator_mm:Int,pIMesh_mesh:Int,resolution:Float=0.001)
	Function IrrScene_IMeshManipulator_recalculateNormals(pIMeshManipulator_mm:Int,pIMesh_mesh:Int,bSmooth:Int=False, bAngleWeighted:Int = False)
	Function IrrScene_IMeshManipulator_recalculateNormalsMeshBuffer(pIMeshManipulator_mm:Int,pIMeshBuffer_buffer:Int,bSmooth:Int=False, bAngleWeighted:Int = False)
	Function IrrScene_IMeshManipulator_scaleMesh(pIMeshManipulator_mm:Int,pIMesh_mesh:Int,pvector3df_scale:Int)
	Function IrrScene_IMeshManipulator_setVertexColorAlpha(pIMeshManipulator_mm:Int,pIMesh_mesh:Int,alpha:Int)
	Function IrrScene_IMeshManipulator_setVertexColors(pIMeshManipulator_mm:Int,pIMesh_mesh:Int,color:Int)

	Function IrrScene_IMeshManipulator_drop:Int(pIUnknown:Int)
	Function IrrScene_IMeshManipulator_getDebugName$z(pIUnknown:Int)
	Function IrrScene_IMeshManipulator_grab(pIUnknown:Int)
	Function IrrScene_IMeshManipulator_transformMesh(pIMeshManipulator:Int,pIMesh:Int,pMatrix4:Int)
	Function IrrScene_IMeshManipulator_createAnimatedMesh:Int(pIMeshManipulator:Int,pIMesh:Int,E_ANIMATED_MESH_TYPE:Int=EAMT_UNKNOWN) ' returns IAnimatedMesh* 
	' must delete
	Function IrrScene_IMeshManipulator_createMeshWith2TCoords:Int(pIMeshManipulator:Int,pIMesh:Int) ' returns IMesh*
	' must delete
	Function IrrScene_IMeshManipulator_createMeshWelded:Int(pIMeshManipulator:Int,pIMesh:Int, tolerance:Float = 0.000001) ' return IMesh*
	Function IrrScene_IMeshManipulator_scale(pIMeshManipulator:Int, pIMesh:Int, pVector3df_factor:Int)
	Function IrrScene_IMeshManipulator_scaleMeshBuffer(pIMeshManipulator:Int, pIMeshBuffer:Int, pVector3df_factor:Int)
	Function IrrScene_IMeshManipulator_scaleTCoords(pIMeshManipulator:Int, pIMesh:Int, pVector2df_factor:Int, level:Int = 1)
	Function IrrScene_IMeshManipulator_scaleTCoordsMeshBuffer(pIMeshManipulator:Int, pIMeshBuffer:Int, pVector2df_factor:Int, level:Int = 1)
	Function IrrScene_IMeshManipulator_transform(pIMeshManipulator:Int, pIMesh:Int, pMatrix4:Int)
	Function IrrScene_IMeshManipulator_transformMeshBuffer(pIMeshManipulator:Int, pIMeshBuffer:Int, pMatrix4:Int)
	' must delete
	Function IrrScene_IMeshManipulator_createMeshWith1TCoords:Int(pIMeshManipulator:Int, pIMesh:Int) ' returns IMesh* 
	Function IrrScene_IMeshManipulator_makePlanarTextureMappingFromBuffer(pIMeshManipulator:Int, pIMeshBuffer:Int, resolution:Float = 0.001)
	Function IrrScene_IMeshManipulator_makePlanarTextureMappingFromBufferWithOffset(pIMeshManipulator:Int, pIMeshBuffer:Int, resolutionS:Float, resolutionT:Float, axis:Byte, pVector3df_offset:Int)

	Function IrrScene_IMeshManipulator_recalculateTangents(pIMeshManipulator:Int, pIMesh:Int, bRecalculateNormals:Int = False, bSmooth:Int = False, bAngleWeighted:Int = False)

	Function IrrScene_IMeshManipulator_applyToMeshBuffer:Int(pIMeshManipulator:Int, pBMXIVertexManipulator:Int, pIMeshBuffer:Int, bBoundingBoxUpdate:Int = False)
	Function IrrScene_IMeshManipulator_applyToMesh:Int(pIMeshManipulator:Int, pBMXIVertexManipulator:Int, pIMesh:Int, bBoundingBoxUpdate:Int = False)

EndExtern


