' ------------------------------------------------------------------------------------
' irr::scene::IParticleAnimatedMeshSceneNodeEmitter wrapper
' ------------------------------------------------------------------------------------
Public

Type IParticleAnimatedMeshSceneNodeEmitter Extends IParticleEmitter

	Function createFromHandle:IParticleAnimatedMeshSceneNodeEmitter(pHandle:Int,bMustDel:Int=True,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IParticleAnimatedMeshSceneNodeEmitter=New IParticleAnimatedMeshSceneNodeEmitter
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setAnimatedMeshSceneNode(node:IAnimatedMeshSceneNode)
		IrrScene_IParticleAnimatedMeshSceneNodeEmitter_setAnimatedMeshSceneNode(handle, node.handle)
	EndMethod
	
	Method setUseNormalDirection(bUseNormalDirection:Int = True)
		IrrScene_IParticleAnimatedMeshSceneNodeEmitter_setUseNormalDirection(handle, bUseNormalDirection )
	EndMethod
	
	Method setNormalDirectionModifier(normalDirectionModifier:Float)
		IrrScene_IParticleAnimatedMeshSceneNodeEmitter_setNormalDirectionModifier(handle, normalDirectionModifier)
	EndMethod
	
	Method setEveryMeshVertex(bEveryMeshVertex:Int = True)
		IrrScene_IParticleAnimatedMeshSceneNodeEmitter_setEveryMeshVertex(handle, bEveryMeshVertex)
	EndMethod
	
	' do not delete
	Method getAnimatedMeshSceneNode:IAnimatedMeshSceneNode()
		Return IAnimatedMeshSceneNode.createFromHandle(IrrScene_IParticleAnimatedMeshSceneNodeEmitter_getAnimatedMeshSceneNode(handle), False)
	EndMethod
	
	Method isUsingNormalDirection:Int()
		Return IrrScene_IParticleAnimatedMeshSceneNodeEmitter_isUsingNormalDirection(handle)
	EndMethod
	
	Method getNormalDirectionModifier:Float()
		Return IrrScene_IParticleAnimatedMeshSceneNodeEmitter_getNormalDirectionModifier(handle)	
	EndMethod
	
	Method getEveryMeshVertex:Int()
		Return IrrScene_IParticleAnimatedMeshSceneNodeEmitter_getEveryMeshVertex(handle)
	EndMethod
	
EndType
