' ------------------------------------------------------------------------------------
' irr::scene::IParticleRotationAffector wrappers
' ------------------------------------------------------------------------------------
Public

Type IParticleRotationAffector Extends IParticleAffectorDefault

	Function createFromHandle:IParticleRotationAffector(pHandle:Int,bMustDel:Int=True,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IParticleRotationAffector=New IParticleRotationAffector
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setPivotPoint(point:Vector3df)
		IrrScene_IParticleRotationAffector_setPivotPoint( handle, point.handle )
	EndMethod
	
	Method setSpeed(speed:Vector3df)
		IrrScene_IParticleRotationAffector_setSpeed( handle, speed.handle )
	EndMethod
	
	Method getPivotPoint:Vector3df()
		Return Vector3df.createFromHandle(IrrScene_IParticleRotationAffector_getPivotPoint(handle), True)
	EndMethod
	
	Method getSpeed:Vector3df()
		Return Vector3df.createFromHandle(IrrScene_IParticleRotationAffector_getSpeed(handle), True)
	EndMethod

EndType
