
Public

Extern 
	' ------------------------------------------------------------------------------------
	'  irr::scene::ISceneNodeAnimatorCollisionResponse wrappers (based on ISceneNodeAnimator)
	' ------------------------------------------------------------------------------------
	
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_getEllipsoidRadius:Int(pISceneNodeAnimatorCollisionResponse_cr:Int) ' returns vector3df* 
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_getEllipsoidTranslation:Int(pISceneNodeAnimatorCollisionResponse_cr:Int) ' returns vector3df* 
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_getGravity:Int(pISceneNodeAnimatorCollisionResponse_cr:Int) ' returns vector3df* 
	'  do Not Delete this pointer
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_getWorld:Int(pISceneNodeAnimatorCollisionResponse_cr:Int) ' returns ITriangleSelector* 
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_isFalling:Int(pISceneNodeAnimatorCollisionResponse_cr:Int)
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_setEllipsoidRadius(pISceneNodeAnimatorCollisionResponse_cr:Int,pvector3df_radius:Int)
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_setEllipsoidTranslation(pISceneNodeAnimatorCollisionResponse_cr:Int,pvector3df_translation:Int)
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_setGravity(pISceneNodeAnimatorCollisionResponse_cr:Int,pvector3df_gravity:Int)
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_setWorld(pISceneNodeAnimatorCollisionResponse_cr:Int,pITriangleSelector_newWorld:Int)
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_animateNode(pISceneNodeAnimatorCollisionResponse_cr:Int,pISceneNode_node:Int,timeMs:Int)
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_jump(pISceneNodeAnimatorCollisionResponse:Int, jumpSpeed:Float) 

	Function IrrScene_ISceneNodeAnimatorCollisionResponse_setAnimateTarget(pISceneNodeAnimatorCollisionResponse:Int, bEnable:Int)
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_getAnimateTarget:Int(pISceneNodeAnimatorCollisionResponse:Int)
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_setTargetNode(pISceneNodeAnimatorCollisionResponse:Int, pISceneNode:Int)
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_getTargetNode:Int(pISceneNodeAnimatorCollisionResponse:Int) ' returns ISceneNode*
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_collisionOccurred:Int(pISceneNodeAnimatorCollisionResponse:Int)
	' must delete
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_getCollisionPoint:Int(pISceneNodeAnimatorCollisionResponse:Int) ' returns vector3df* 
	' must delete
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_getCollisionTriangle:Int(pISceneNodeAnimatorCollisionResponse:Int) ' returns triangle3df* 
	' must delete
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_getCollisionResultPosition:Int(pISceneNodeAnimatorCollisionResponse:Int) ' returns vector3df*
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_getCollisionNode:Int(pISceneNodeAnimatorCollisionResponse:Int) ' returns ISceneNode*
	Function IrrScene_ISceneNodeAnimatorCollisionResponse_setCollisionCallback(pISceneNodeAnimatorCollisionResponse:Int, pICollisionCallback:Int)


	' ------------------------------------------------------------------------------------
	' ICollisionCallback
	' ------------------------------------------------------------------------------------

	Function IrrScene_BMXICollisionCallback_new:Int() ' returns BMXICollisionCallback* 
	Function IrrScene_BMXICollisionCallback_getBinder:Int(pBMXICollisionCallback:Int) ' returns BMXBinder*
	Function IrrScene_BMXICollisionCallback_drop:Int(pBMXICollisionCallback:Int)
	Function IrrScene_BMXICollisionCallback_getDebugName$z(pBMXICollisionCallback:Int)
	Function IrrScene_BMXICollisionCallback_grab(pBMXICollisionCallback:Int)
	
EndExtern
